#include <stdio.h>
#include "mpi.h"
#define MPIR_ERR_FATAL 1
#define MPIR_ERR_RECOVERABLE 0
int MPIR_Err_create_code( int, int, char *, int, int, const char [], const char [], ... );
void ChkMsg( int, int, const char [] );

int main(int argc, char **argv)
{
    int err;
    MPI_Init( 0, 0 );
    /* src/mpi/attr/attrutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nomem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**nomem" );
    /* src/mpi/attr/attrutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**attrsentinal", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**attrsentinal" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_KEYVAL, "**keyval", 0);
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyval" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_KEYVAL, "**keyvalnotcomm", 0);
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalnotcomm" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**permattr", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**permattr" );
    /* src/mpi/attr/comm_set_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_KEYVAL, "**keyvalinvalid", 0);
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalinvalid" );
    /* src/mpi/attr/type_delete_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_KEYVAL, "**keyvalnotdatatype", 0);
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalnotdatatype" );
    /* src/mpi/attr/win_delete_attr.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_KEYVAL, "**keyvalnotwin", 0);
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalnotwin" );
    /* src/mpi/coll/allgather.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**intercommcoll", 0);
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll" );
    {
    /* src/mpi/coll/allgather.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    /* src/mpi/coll/op_free.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**permop", 0);
    ChkMsg( err, MPI_ERR_OP, "**permop" );
    /* src/mpi/coll/opband.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opundefined", 0);
    ChkMsg( err, MPI_ERR_OP, "**opundefined" );
    {
    /* src/mpi/coll/opband.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    /* src/mpi/comm/comm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**toomanycomm", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**toomanycomm" );
    /* src/mpi/comm/comm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_GROUP, "**groupnotincomm", 0);
    ChkMsg( err, MPI_ERR_GROUP, "**groupnotincomm" );
    {
    /* src/mpi/comm/comm_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_GROUP, "**groupnotincomm", "**groupnotincomm %d", i1 );
    ChkMsg( err, MPI_ERR_GROUP, "**groupnotincomm %d" );
    }
    /* src/mpi/comm/comm_free.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**commperm", 0);
    ChkMsg( err, MPI_ERR_COMM, "**commperm" );
    {
    /* src/mpi/comm/comm_free.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**commperm", "**commperm %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**commperm %s" );
    }
    /* src/mpi/comm/comm_rank.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**initialized", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**initialized" );
    /* src/mpi/comm/comm_rank.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**nullptr", 0);
    ChkMsg( err, MPI_ERR_ARG, "**nullptr" );
    {
    /* src/mpi/comm/comm_rank.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**nullptr", "**nullptr %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**nullptr %s" );
    }
    /* src/mpi/comm/comm_remote_group.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**commnotinter", 0);
    ChkMsg( err, MPI_ERR_COMM, "**commnotinter" );
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**intern", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**intern" );
    {
    /* src/mpi/comm/intercomm_create.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**intern", "**intern %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**intern %s" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**dupprocesses", 0);
    ChkMsg( err, MPI_ERR_COMM, "**dupprocesses" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**dupprocesses", "**dupprocesses %d", i1 );
    ChkMsg( err, MPI_ERR_COMM, "**dupprocesses %d" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**ranklocal", 0);
    ChkMsg( err, MPI_ERR_RANK, "**ranklocal" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**ranklocal", "**ranklocal %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**ranklocal %d %d" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankremote", 0);
    ChkMsg( err, MPI_ERR_RANK, "**rankremote" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankremote", "**rankremote %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rankremote %d %d" );
    }
    /* src/mpi/comm/intercomm_merge.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**notsame", 0);
    ChkMsg( err, MPI_ERR_ARG, "**notsame" );
    {
    /* src/mpi/comm/intercomm_merge.c */
    char s1[] = "string1";
    char s2[] = "string2";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**notsame", "**notsame %s %s", s1, s2 );
    ChkMsg( err, MPI_ERR_ARG, "**notsame %s %s" );
    }
    /* src/mpi/datatype/pack.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**arg", 0);
    ChkMsg( err, MPI_ERR_ARG, "**arg" );
    /* src/mpi/datatype/type_free.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TYPE, "**dtypeperm", 0);
    ChkMsg( err, MPI_ERR_TYPE, "**dtypeperm" );
    /* src/mpi/datatype/type_set_name.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**typenamelen", 0);
    ChkMsg( err, MPI_ERR_ARG, "**typenamelen" );
    {
    /* src/mpi/datatype/type_set_name.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**typenamelen", "**typenamelen %d", i1 );
    ChkMsg( err, MPI_ERR_ARG, "**typenamelen %d" );
    }
    /* src/mpi/errhan/add_error_class.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**noerrclasses", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**noerrclasses" );
    /* src/mpi/errhan/add_error_code.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**noerrcodes", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**noerrcodes" );
    /* src/mpi/group/group_translate_ranks.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rank", 0);
    ChkMsg( err, MPI_ERR_RANK, "**rank" );
    {
    /* src/mpi/group/group_translate_ranks.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argneg", 0);
    ChkMsg( err, MPI_ERR_ARG, "**argneg" );
    {
    /* src/mpi/group/grouputil.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankarray", 0);
    ChkMsg( err, MPI_ERR_RANK, "**rankarray" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankarray", "**rankarray %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_RANK, "**rankarray %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankdup", 0);
    ChkMsg( err, MPI_ERR_RANK, "**rankdup" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_RANK, "**rankdup", "**rankdup %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_RANK, "**rankdup %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangestartinvalid", 0);
    ChkMsg( err, MPI_ERR_ARG, "**rangestartinvalid" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangestartinvalid", "**rangestartinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangestartinvalid %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**stridezero", 0);
    ChkMsg( err, MPI_ERR_ARG, "**stridezero" );
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangeendinvalid", 0);
    ChkMsg( err, MPI_ERR_ARG, "**rangeendinvalid" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangeendinvalid", "**rangeendinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangeendinvalid %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**stride", 0);
    ChkMsg( err, MPI_ERR_ARG, "**stride" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**stride", "**stride %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**stride %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangedup", 0);
    ChkMsg( err, MPI_ERR_ARG, "**rangedup" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**rangedup", "**rangedup %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangedup %d %d %d" );
    }
    /* src/mpi/init/abort.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**abort", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**abort" );
    /* src/mpi/init/init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**inittwice", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**inittwice" );
    /* src/mpi/init/initthread.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**bufexists", 0);
    ChkMsg( err, MPI_ERR_BUFFER, "**bufexists" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**bsendbufsmall", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**bsendbufsmall" );
    {
    /* src/mpi/pt2pt/bsendutil.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**bsendbufsmall", "**bsendbufsmall %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**bsendbufsmall %d %d" );
    }
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**notimpl", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**notimpl" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**bsendnobuf", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**bsendnobuf" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**bufbsend", 0);
    ChkMsg( err, MPI_ERR_BUFFER, "**bufbsend" );
    {
    /* src/mpi/pt2pt/bsendutil.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**bufbsend", "**bufbsend %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufbsend %d %d" );
    }
    /* src/mpi/pt2pt/cancel.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_REQUEST, "**requestpersistactive", 0);
    ChkMsg( err, MPI_ERR_REQUEST, "**requestpersistactive" );
    /* src/mpi/pt2pt/cancel.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INTERN, "**cancelunknown", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**cancelunknown" );
    /* src/mpi/pt2pt/greq_complete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**notgenreq", 0);
    ChkMsg( err, MPI_ERR_ARG, "**notgenreq" );
    /* src/mpi/rma/accumulate.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**op", 0);
    ChkMsg( err, MPI_ERR_OP, "**op" );
    /* src/mpi/rma/alloc_mem.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_NO_MEM, "**allocmem", 0);
    ChkMsg( err, MPI_ERR_NO_MEM, "**allocmem" );
    /* src/mpi/rma/win_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_SIZE, "**rmasize", 0);
    ChkMsg( err, MPI_ERR_SIZE, "**rmasize" );
    {
    /* src/mpi/rma/win_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_SIZE, "**rmasize", "**rmasize %d", i1 );
    ChkMsg( err, MPI_ERR_SIZE, "**rmasize %d" );
    }
    {
    /* src/mpi/rma/win_create.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**arg", "**arg %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**arg %s" );
    }
    /* src/mpi/spawn/lookup_name.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nonamepub", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**nonamepub" );
    /* src/mpi/topo/cart_coords.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TOPOLOGY, "**notcarttopo", 0);
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notcarttopo" );
    /* src/mpi/topo/cart_coords.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**dimsmany", 0);
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany" );
    {
    /* src/mpi/topo/cart_coords.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**dimsmany", "**dimsmany %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany %d %d" );
    }
    /* src/mpi/topo/cart_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**dims", 0);
    ChkMsg( err, MPI_ERR_DIMS, "**dims" );
    {
    /* src/mpi/topo/cart_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**dims", "**dims %d", i1 );
    ChkMsg( err, MPI_ERR_DIMS, "**dims %d" );
    }
    /* src/mpi/topo/cart_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**cartdim", 0);
    ChkMsg( err, MPI_ERR_ARG, "**cartdim" );
    {
    /* src/mpi/topo/cart_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**cartdim", "**cartdim %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**cartdim %d %d" );
    }
    /* src/mpi/topo/cart_map.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**topotoolarge", 0);
    ChkMsg( err, MPI_ERR_DIMS, "**topotoolarge" );
    {
    /* src/mpi/topo/cart_map.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**topotoolarge", "**topotoolarge %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_DIMS, "**topotoolarge %d %d" );
    }
    /* src/mpi/topo/cart_rank.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**cartcoordinvalid", 0);
    ChkMsg( err, MPI_ERR_ARG, "**cartcoordinvalid" );
    {
    /* src/mpi/topo/cart_rank.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**cartcoordinvalid", "**cartcoordinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**cartcoordinvalid %d %d %d" );
    }
    /* src/mpi/topo/cart_sub.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TOPOLOGY, "**notopology", 0);
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notopology" );
    /* src/mpi/topo/dims_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**argarrayneg", 0);
    ChkMsg( err, MPI_ERR_DIMS, "**argarrayneg" );
    {
    /* src/mpi/topo/dims_create.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**argarrayneg", "**argarrayneg %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_DIMS, "**argarrayneg %s %d %d" );
    }
    /* src/mpi/topo/dims_create.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DIMS, "**dimspartition", 0);
    ChkMsg( err, MPI_ERR_DIMS, "**dimspartition" );
    /* src/mpi/topo/graph_get.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TOPOLOGY, "**notgraphtopo", 0);
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notgraphtopo" );
    /* src/mpi/topo/graph_get.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argrange", 0);
    ChkMsg( err, MPI_ERR_ARG, "**argrange" );
    {
    /* src/mpi/topo/graph_get.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argrange", "**argrange %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**argrange %s %d %d" );
    }
    /* src/mpi/topo/graph_map.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**graphnnodes", 0);
    ChkMsg( err, MPI_ERR_ARG, "**graphnnodes" );
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**indexneg", 0);
    ChkMsg( err, MPI_ERR_ARG, "**indexneg" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**indexneg", "**indexneg %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**indexneg %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**indexnonmonotone", 0);
    ChkMsg( err, MPI_ERR_ARG, "**indexnonmonotone" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**indexnonmonotone", "**indexnonmonotone %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**indexnonmonotone %d %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**edgeoutrange", 0);
    ChkMsg( err, MPI_ERR_ARG, "**edgeoutrange" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**edgeoutrange", "**edgeoutrange %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**edgeoutrange %d %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**nulledge", 0);
    ChkMsg( err, MPI_ERR_ARG, "**nulledge" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**nulledge", "**nulledge %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**nulledge %d %d" );
    }
    /* src/mpi/romio/adio/ad_hfs/ad_hfs_close.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**io", 0);
    ChkMsg( err, MPI_ERR_IO, "**io" );
    {
    /* src/mpi/romio/adio/ad_hfs/ad_hfs_close.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**io", "**io %s", s1 );
    ChkMsg( err, MPI_ERR_IO, "**io %s" );
    }
    /* src/mpi/romio/adio/ad_hfs/ad_hfs_fcntl.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**iopreallocrdwr", 0);
    ChkMsg( err, MPI_ERR_IO, "**iopreallocrdwr" );
    /* src/mpi/romio/adio/common/ad_fstype.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**iofstype", 0);
    ChkMsg( err, MPI_ERR_IO, "**iofstype" );
    /* src/mpi/romio/adio/common/ad_fstype.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**iofstypeunsupported", 0);
    ChkMsg( err, MPI_ERR_IO, "**iofstypeunsupported" );
    /* src/mpi/romio/adio/common/ad_open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**ioagnomatch", 0);
    ChkMsg( err, MPI_ERR_IO, "**ioagnomatch" );
    /* src/mpi/romio/adio/common/ad_write_coll.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**ioRMWrdwr", 0);
    ChkMsg( err, MPI_ERR_IO, "**ioRMWrdwr" );
    /* src/mpi/romio/mpi-io/get_bytoff.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iobadoffset", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iobadoffset" );
    /* src/mpi/romio/mpi-io/get_bytoff.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_UNSUPPORTED_OPERATION, "**ioamodeseq", 0);
    ChkMsg( err, MPI_ERR_UNSUPPORTED_OPERATION, "**ioamodeseq" );
    /* src/mpi/romio/mpi-io/get_errh.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_FILE, "**iobadfh", 0);
    ChkMsg( err, MPI_ERR_FILE, "**iobadfh" );
    /* src/mpi/romio/mpi-io/get_extent.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TYPE, "**dtypenull", 0);
    ChkMsg( err, MPI_ERR_TYPE, "**dtypenull" );
    /* src/mpi/romio/mpi-io/get_posn_sh.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_UNSUPPORTED_OPERATION, "**iosharedunsupported", 0);
    ChkMsg( err, MPI_ERR_UNSUPPORTED_OPERATION, "**iosharedunsupported" );
    /* src/mpi/romio/mpi-io/get_view.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iodatarepnomem", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iodatarepnomem" );
    /* src/mpi/romio/mpi-io/iotest.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_REQUEST, "**request", 0);
    ChkMsg( err, MPI_ERR_REQUEST, "**request" );
    /* src/mpi/romio/mpi-io/iread.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iobadcount", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iobadcount" );
    /* src/mpi/romio/mpi-io/iread.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**ioetype", 0);
    ChkMsg( err, MPI_ERR_IO, "**ioetype" );
    /* src/mpi/romio/mpi-io/iread.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_UNSUPPORTED_OPERATION, "**ioneedrd", 0);
    ChkMsg( err, MPI_ERR_UNSUPPORTED_OPERATION, "**ioneedrd" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**comm", 0);
    ChkMsg( err, MPI_ERR_COMM, "**comm" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**commnotintra", 0);
    ChkMsg( err, MPI_ERR_COMM, "**commnotintra" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_AMODE, "**fileamodeone", 0);
    ChkMsg( err, MPI_ERR_AMODE, "**fileamodeone" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_AMODE, "**fileamoderead", 0);
    ChkMsg( err, MPI_ERR_AMODE, "**fileamoderead" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_AMODE, "**fileamodeseq", 0);
    ChkMsg( err, MPI_ERR_AMODE, "**fileamodeseq" );
    /* src/mpi/romio/mpi-io/open.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_UNSUPPORTED_OPERATION, "**iosequnsupported", 0);
    ChkMsg( err, MPI_ERR_UNSUPPORTED_OPERATION, "**iosequnsupported" );
    /* src/mpi/romio/mpi-io/prealloc.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iobadsize", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iobadsize" );
    /* src/mpi/romio/mpi-io/rd_atallb.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**iosplitcoll", 0);
    ChkMsg( err, MPI_ERR_IO, "**iosplitcoll" );
    /* src/mpi/romio/mpi-io/rd_atalle.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_IO, "**iosplitcollnone", 0);
    ChkMsg( err, MPI_ERR_IO, "**iosplitcollnone" );
    /* src/mpi/romio/mpi-io/seek.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**ionegoffset", 0);
    ChkMsg( err, MPI_ERR_ARG, "**ionegoffset" );
    /* src/mpi/romio/mpi-io/seek.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iobadwhence", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iobadwhence" );
    /* src/mpi/romio/mpi-io/set_view.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iobaddisp", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iobaddisp" );
    /* src/mpi/romio/mpi-io/set_view.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iofiletype", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iofiletype" );
    /* src/mpi/romio/mpi-io/set_view.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**iodispifseq", 0);
    ChkMsg( err, MPI_ERR_ARG, "**iodispifseq" );
    /* src/mpi/romio/mpi-io/set_view.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_UNSUPPORTED_DATAREP, "**unsupporteddatarep", 0);
    ChkMsg( err, MPI_ERR_UNSUPPORTED_DATAREP, "**unsupporteddatarep" );
    /* src/nameserv/file/file_nameserv.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**namepublish", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**namepublish" );
    {
    /* src/nameserv/file/file_nameserv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**namepublish", "**namepublish %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**namepublish %s" );
    }
    /* src/nameserv/file/file_nameserv.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**namepubnotpub", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**namepubnotpub" );
    {
    /* src/nameserv/file/file_nameserv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**namepubnotpub", "**namepubnotpub %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**namepubnotpub %s" );
    }
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_KEY, "**infokeynull", 0);
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeynull" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_KEY, "**infokeylong", 0);
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeylong" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_KEY, "**infokeyempty", 0);
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeyempty" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_NOKEY, "**infonokey", 0);
    ChkMsg( err, MPI_ERR_INFO_NOKEY, "**infonokey" );
    {
    /* src/util/info/info_delete.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_NOKEY, "**infonokey", "**infonokey %s", s1 );
    ChkMsg( err, MPI_ERR_INFO_NOKEY, "**infonokey %s" );
    }
    /* src/util/info/info_get.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_VALUE, "**infovalnull", 0);
    ChkMsg( err, MPI_ERR_INFO_VALUE, "**infovalnull" );
    /* src/util/info/info_getnth.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**infonkey", 0);
    ChkMsg( err, MPI_ERR_ARG, "**infonkey" );
    {
    /* src/util/info/info_getnth.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**infonkey", "**infonkey %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**infonkey %d %d" );
    }
    /* src/util/info/info_set.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_INFO_VALUE, "**infovallong", 0);
    ChkMsg( err, MPI_ERR_INFO_VALUE, "**infovallong" );
    /* src/binding/f77/addressf.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**inttoosmall", 0);
    ChkMsg( err, MPI_ERR_ARG, "**inttoosmall" );
    /* src/binding/f77/statusf2c.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**notfstatignore", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**notfstatignore" );
    /* src/binding/f77/statusc2f.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**notcstatignore", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**notcstatignore" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TAG, "**tag", 0);
    ChkMsg( err, MPI_ERR_TAG, "**tag" );
    {
    /* src/include/mpierrs.h */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TAG, "**tag", "**tag %d", i1 );
    ChkMsg( err, MPI_ERR_TAG, "**tag %d" );
    }
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COUNT, "**countneg", 0);
    ChkMsg( err, MPI_ERR_COUNT, "**countneg" );
    {
    /* src/include/mpierrs.h */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COUNT, "**countneg", "**countneg %d", i1 );
    ChkMsg( err, MPI_ERR_COUNT, "**countneg %d" );
    }
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_DISP, "**rmadisp", 0);
    ChkMsg( err, MPI_ERR_DISP, "**rmadisp" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**bufalias", 0);
    ChkMsg( err, MPI_ERR_BUFFER, "**bufalias" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argnonpos", 0);
    ChkMsg( err, MPI_ERR_ARG, "**argnonpos" );
    {
    /* src/include/mpierrs.h */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ARG, "**argnonpos", "**argnonpos %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argnonpos %s %d" );
    }
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ROOT, "**root", 0);
    ChkMsg( err, MPI_ERR_ROOT, "**root" );
    {
    /* src/include/mpierrs.h */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_ROOT, "**root", "**root %d", i1 );
    ChkMsg( err, MPI_ERR_ROOT, "**root %d" );
    }
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_REQUEST, "**requestnotpersist", 0);
    ChkMsg( err, MPI_ERR_REQUEST, "**requestnotpersist" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TYPE, "**dtype", 0);
    ChkMsg( err, MPI_ERR_TYPE, "**dtype" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**bufnull", 0);
    ChkMsg( err, MPI_ERR_BUFFER, "**bufnull" );
    /* src/include/mpierrs.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_COMM, "**commnull", 0);
    ChkMsg( err, MPI_ERR_COMM, "**commnull" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nullptrtype", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**nullptrtype" );
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nullptrtype", "**nullptrtype %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**nullptrtype %s" );
    }
    /* src/mpid/ch3/src/ch3u_buffer.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TRUNCATE, "**truncate", 0);
    ChkMsg( err, MPI_ERR_TRUNCATE, "**truncate" );
    /* src/mpid/ch3/src/ch3u_buffer.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TYPE, "**dtypemismatch", 0);
    ChkMsg( err, MPI_ERR_TYPE, "**dtypemismatch" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|pktordered", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|pktordered" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|nopktcontainermem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|nopktcontainermem" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|ooocancelreq", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|ooocancelreq" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nomemreq", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**nomemreq" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|postrecv", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|postrecv" );
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|postrecv", "**ch3|postrecv %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|postrecv %s" );
    }
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**rsendnomatch", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**rsendnomatch" );
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**rsendnomatch", "**rsendnomatch %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**rsendnomatch %d %d" );
    }
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|loadrecviov", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|loadrecviov" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|recvdata", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|recvdata" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|syncack", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|syncack" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|ctspkt", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|ctspkt" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|loadsendiov", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|loadsendiov" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|senddata", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|senddata" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|cancelresp", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|cancelresp" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|rmamsg", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|rmamsg" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|flowcntlpkt", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|flowcntlpkt" );
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|unknownpkt", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|unknownpkt" );
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_pkt.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|unknownpkt", "**ch3|unknownpkt %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|unknownpkt %d" );
    }
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|loadrecviov", "**ch3|loadrecviov %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|loadrecviov %s" );
    }
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|recvdata", "**ch3|recvdata %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|recvdata %s" );
    }
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badca", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badca" );
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badca", "**ch3|badca %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badca %d" );
    }
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opnotpredefined", 0);
    ChkMsg( err, MPI_ERR_OP, "**opnotpredefined" );
    {
    /* src/mpid/ch3/src/ch3u_handle_recv_req.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opnotpredefined", "**opnotpredefined %d", i1 );
    ChkMsg( err, MPI_ERR_OP, "**opnotpredefined %d" );
    }
    /* src/mpid/ch3/src/mpid_cancel_send.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|cancelrndv", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|cancelrndv" );
    /* src/mpid/ch3/src/mpid_cancel_send.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|canceleager", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|canceleager" );
    /* src/mpid/ch3/src/mpid_cancel_send.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|cancelreq", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|cancelreq" );
    /* src/mpid/ch3/src/mpid_irecv.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badmsgtype", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badmsgtype" );
    {
    /* src/mpid/ch3/src/mpid_irecv.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badmsgtype", "**ch3|badmsgtype %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badmsgtype %d" );
    }
    /* src/mpid/ch3/src/mpid_irsend.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|eagermsg", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|eagermsg" );
    /* src/mpid/ch3/src/mpid_isend.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|rtspkt", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|rtspkt" );
    /* src/mpid/ch3/src/mpid_send.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|selfsenddeadlock", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|selfsenddeadlock" );
    /* src/mpid/ch3/src/mpid_startall.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badreqtype", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badreqtype" );
    {
    /* src/mpid/ch3/src/mpid_startall.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|badreqtype", "**ch3|badreqtype %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|badreqtype %d" );
    }
    /* src/mpid/ch3/src/mpid_win_complete.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**needthreads", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**needthreads" );
    /* src/mpid/ch3/src/mpid_win_fence.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opundefined_rma", 0);
    ChkMsg( err, MPI_ERR_OP, "**opundefined_rma" );
    {
    /* src/mpid/ch3/src/mpid_win_fence.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OP, "**opundefined_rma", "**opundefined_rma %d", i1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined_rma %d" );
    }
    /* src/mpid/ch3/channels/ib/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_finalize", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_finalize" );
    {
    /* src/mpid/ch3/channels/ib/src/ch3_finalize.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_finalize", "**pmi_finalize %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_finalize %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3_finalize", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3_finalize" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**process_group", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**process_group" );
    {
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_init.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nomem", "**nomem %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**nomem %s" );
    }
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3_init", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3_init" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_iread.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3ireadaggressive", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3ireadaggressive" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_isend.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3_send", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3_send" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3progress" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**poke", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**poke" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**postpkt", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**postpkt" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**handle_read", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**handle_read" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**write_progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**write_progress" );
    /* src/mpid/ch3/channels/rdma/src/rdma/ch3_read_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**read_progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**read_progress" );
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_init", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_init" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_init", "**pmi_init %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_init %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_get_rank", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_get_rank" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_get_rank", "**pmi_get_rank %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_get_rank %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_get_size", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_get_size" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_get_size", "**pmi_get_size %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_get_size %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_get_my_name", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_get_my_name" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_get_my_name", "**pmi_kvs_get_my_name %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_get_my_name %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_put", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_put" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_put", "**pmi_kvs_put %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_put %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_commit", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_commit" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_commit", "**pmi_kvs_commit %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_commit %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_barrier", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_barrier" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_barrier", "**pmi_barrier %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_barrier %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_get", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_get" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pmi_kvs_get", "**pmi_kvs_get %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**pmi_kvs_get %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**rdma_init", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**rdma_init" );
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**rdma_finalize", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**rdma_finalize" );
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**OpenProcess", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**OpenProcess" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**OpenProcess", "**OpenProcess %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**OpenProcess %d %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**open", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**open" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**open", "**open %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_OTHER, "**open %s %d %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_open", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shm_open" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_open", "**shm_open %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**shm_open %s %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmget", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmget" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmget", "**shmget %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**shmget %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**CreateFileMapping", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**CreateFileMapping" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**CreateFileMapping", "**CreateFileMapping %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**CreateFileMapping %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mmap", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mmap" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mmap", "**mmap %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**mmap %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmat", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmat" );
    {
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmat", "**shmat %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**shmat %d" );
    }
    /* src/mpid/ch3/channels/rdma/src/shm/rdma_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**MapViewOfFileEx", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**MapViewOfFileEx" );
    /* src/mpid/ch3/channels/rdma/src/shmem/rdma_shmem_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**GetMemTwice", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**GetMemTwice" );
    /* src/mpid/ch3/channels/shm/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**finalize_progress_finalize", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**finalize_progress_finalize" );
    /* src/mpid/ch3/channels/shm/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**finalize_release_mem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**finalize_release_mem" );
    /* src/mpid/ch3/channels/shm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_vcrt", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_vcrt" );
    /* src/mpid/ch3/channels/shm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_getptr", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_getptr" );
    /* src/mpid/ch3/channels/shm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_progress" );
    /* src/mpid/ch3/channels/shm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmgetmem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmgetmem" );
    /* src/mpid/ch3/channels/shm/src/ch3_isend.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmwrite", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmwrite" );
    /* src/mpid/ch3/channels/shm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_wait", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shm_wait" );
    /* src/mpid/ch3/channels/sock/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|pmi_finalize", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|pmi_finalize" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_finalize.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|pmi_finalize", "**ch3|sock|pmi_finalize %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|pmi_finalize %d" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**snprintf", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**snprintf" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**snprintf", "**snprintf %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**snprintf %d" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_buscard", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_buscard" );
    /* src/mpid/ch3/channels/sock/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_comm_create", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_comm_create" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_init.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_comm_create", "**init_comm_create %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**init_comm_create %d" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|sock|badpacket", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|sock|badpacket" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|sock|badpacket", "**ch3|sock|badpacket %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|sock|badpacket %d" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connfailed", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connfailed" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connfailed", "**ch3|sock|connfailed %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connfailed %d %d" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|strdup", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|strdup" );
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|badbuscard", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|badbuscard" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|badbuscard", "**ch3|sock|badbuscard %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|badbuscard %s" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|hostlookup", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|hostlookup" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    int i1 = 1;
    int i2 = 2;
    char s3[] = "string3";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|hostlookup", "**ch3|sock|hostlookup %d %d %s", i1, i2, s3 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|hostlookup %d %d %s" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connrefused", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connrefused" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    int i1 = 1;
    int i2 = 2;
    char s3[] = "string3";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connrefused", "**ch3|sock|connrefused %d %d %s", i1, i2, s3 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connrefused %d %d %s" );
    }
    /* src/mpid/ch3/channels/sock/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connallocfailed", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connallocfailed" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connclose", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connclose" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|connterm", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|connterm" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**ch3|sock|badsock", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**ch3|sock|badsock" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_BUFFER, "**buffer", 0);
    ChkMsg( err, MPI_ERR_BUFFER, "**buffer" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|addrinuse", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|addrinuse" );
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|failure", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|failure" );
    {
    /* src/mpid/ch3/channels/sock/src/ch3i_errno.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ch3|sock|failure", "**ch3|sock|failure %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**ch3|sock|failure %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**finalize_progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**finalize_progress" );
    /* src/mpid/ch3/channels/ssm/src/ch3_finalize.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**finalize_boot", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**finalize_boot" );
    /* src/mpid/ch3/channels/ssm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_strtok_host", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**init_strtok_host" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_init.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**init_strtok_host", "**init_strtok_host %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**init_strtok_host %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_create", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_create" );
    /* src/mpid/ch3/channels/ssm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_unlink", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_unlink" );
    /* src/mpid/ch3/channels/ssm/src/ch3_init.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_tostring", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_tostring" );
    /* src/mpid/ch3/channels/ssm/src/ch3_isend.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ssmwrite", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ssmwrite" );
    /* src/mpid/ch3/channels/ssm/src/ch3_isendv.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ssmwritev", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ssmwritev" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_read_progress", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shm_read_progress" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**progress_handle_sock_op", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**progress_handle_sock_op" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**progress_sock_wait", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**progress_sock_wait" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_recv", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_recv" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**attach_to_mem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**attach_to_mem" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**attach_to_mem", "**attach_to_mem %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**attach_to_mem %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**MPIDI_CH3I_SHM_Attach_to_mem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**MPIDI_CH3I_SHM_Attach_to_mem" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**MPIDI_CH3I_SHM_Attach_to_mem", "**MPIDI_CH3I_SHM_Attach_to_mem %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**MPIDI_CH3I_SHM_Attach_to_mem %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**handle_sock_op", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**handle_sock_op" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mqp_failure", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mqp_failure" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**pfinal_sockclose", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**pfinal_sockclose" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**MPIU_Strdup", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**MPIU_Strdup" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**business_card", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**business_card" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**business_card", "**business_card %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**business_card %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmconnect_getmem", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmconnect_getmem" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_send", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_send" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_detach", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_detach" );
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**post_connect", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**post_connect" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**post_connect", "**post_connect %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**post_connect %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**hostlookup", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**hostlookup" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    int i1 = 1;
    int i2 = 2;
    char s3[] = "string3";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**hostlookup", "**hostlookup %d %d %s", i1, i2, s3 );
    ChkMsg( err, MPI_ERR_OTHER, "**hostlookup %d %d %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connrefused", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**connrefused" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_connect.c */
    int i1 = 1;
    int i2 = 2;
    char s3[] = "string3";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connrefused", "**connrefused %d %d %s", i1, i2, s3 );
    ChkMsg( err, MPI_ERR_OTHER, "**connrefused %d %d %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_sock.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**badpacket", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**badpacket" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_sock.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**badpacket", "**badpacket %d", i1 );
    ChkMsg( err, MPI_ERR_INTERN, "**badpacket %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_sock.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connfailed", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**connfailed" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_progress_sock.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connfailed", "**connfailed %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**connfailed %d %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ftruncate", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ftruncate" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ftruncate", "**ftruncate %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_OTHER, "**ftruncate %s %d %d" );
    }
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**MapViewOfFileEx", "**MapViewOfFileEx %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**MapViewOfFileEx %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ftok", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**ftok" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**ftok", "**ftok %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_OTHER, "**ftok %s %d %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_unlink", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shm_unlink" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shm_unlink", "**shm_unlink %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**shm_unlink %s %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmctl", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**shmctl" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3_shm_memory.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**shmctl", "**shmctl %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**shmctl %d %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mqshm_create", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mqshm_create" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgget", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**msgget" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgget", "**msgget %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**msgget %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_open", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mq_open" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_open", "**mq_open %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**mq_open %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**CreateThread", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**CreateThread" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**CreateThread", "**CreateThread %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**CreateThread %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**winwait", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**winwait" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_close", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mq_close" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_close", "**mq_close %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**mq_close %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgctl", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**msgctl" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgctl", "**msgctl %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**msgctl %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_attach", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**boot_attach" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**boot_attach", "**boot_attach %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**boot_attach %s" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**FindWindowEx", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**FindWindowEx" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**FindWindowEx", "**FindWindowEx %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**FindWindowEx %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mqshm_send", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mqshm_send" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_send", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mq_send" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_send", "**mq_send %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**mq_send %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgsnd", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**msgsnd" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgsnd", "**msgsnd %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**msgsnd %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mqshm_receive", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mqshm_receive" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_receive", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mq_receive" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mq_receive", "**mq_receive %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**mq_receive %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgrcv", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**msgrcv" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**msgrcv", "**msgrcv %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**msgrcv %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**nextbootmsg", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**nextbootmsg" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connclose", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**connclose" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**connterm", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**connterm" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_INTERN, "**badsock", 0);
    ChkMsg( err, MPI_ERR_INTERN, "**badsock" );
    /* src/mpid/ch3/channels/ssm/src/ch3i_errno.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**failure", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**failure" );
    {
    /* src/mpid/ch3/channels/ssm/src/ch3i_errno.c */
    int i1 = 1;
     err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**failure", "**failure %d", i1 );
    ChkMsg( err, MPI_ERR_OTHER, "**failure %d" );
    }
    /* src/mpid/ch3/channels/ssm/src/ch3i_shm_bootstrapq.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**mqshm_unlink", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**mqshm_unlink" );
    /* src/mpid/common/sock/poll/sockpoll.c */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_FATAL, "errcode::main", __LINE__, MPI_ERR_OTHER, "**sock|poll|eqmalloc", 0);
    ChkMsg( err, MPI_ERR_OTHER, "**sock|poll|eqmalloc" );
    /* src/mpid/common/datatype/mpid_datatype.h */
    err = MPIR_Err_create_code(MPI_SUCCESS, MPIR_ERR_RECOVERABLE, "errcode::main", __LINE__, MPI_ERR_TYPE, "**dtypecommit", 0);
    ChkMsg( err, MPI_ERR_TYPE, "**dtypecommit" );
    MPI_Finalize();
    return 0;
}
